import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 *  Class RizeniHry
 * 
 *  Toto je hlavní třída aplikace. Je to velmi jednoduchá textová hra
 *  - uživatel se pohybuje v daném prostoru. Je určena jako základ pro další
 *  zajímavá rozšíření.
 *  Tato třída vytváří instanci třídy Hra, která představuje logiku aplikace.
 *  Čte jednotlivé příkazy zadané uživatelem a předává je logice a vypisuje odpověď logiky na konzoli.
 *  Pokud chcete hrát tuto hru, vytvořte instanci této třídy
 *  a poté na ní vyvolejte metodu "hraj". 
 *  
 *
 *@author     Michael Kolling, Lubos Pavlicek, Jarmila Pavlickova
 *@version    3.0
 *@created    květen 2005
 */

class RizeniHry {
    private Hra hra;

    /**
     *  Vytváří hru.
     */
    public RizeniHry() {
        hra = new Hra();
    }

    /**
     *  Hlavní metoda hry. Cyklí se do konce hry (dokud metoda konecHry() z logiky nevrátí
     *  hodnotu true)
     */
    public void hraj() {
        System.out.println(hra.vratUvitani());

        // základní cyklus programu - opakovaně se čtou příkazy a poté
        // se provádějí do konce hry.

        while (!hra.konecHry()) {
            String radek = prectiString();
            Prikaz prikaz = new Prikaz(radek);
            System.out.println(hra.zpracujPrikaz(prikaz));
        }
        System.out.println(hra.vratEpilog());
    }
    
    /**
     *  Metoda přečte příkaz z příkazového řádku
     *
     *@return    Vrací přečtený příkaz jako instanci třídy String
     */
    private String prectiString() {
        String vstupniRadek="";
        System.out.print("> ");        // vypíše se prompt

        BufferedReader vstup =
                new BufferedReader(new InputStreamReader(System.in));
        try {
            vstupniRadek = vstup.readLine();
        }
        catch (java.io.IOException exc) {
            System.out.println("Vyskytla se chyba během čtení příkazu: "
                     + exc.getMessage());
        }
        return vstupniRadek;
    }
    
}
