import java.util.Set;
import java.util.TreeSet;

/**
 *  Class SeznamPrikazu - obsahuje seznam přípustných příkazů adventury.
 *  Používá se pro rozpoznávání příkazů.
 *
 *  Tato třída je součástí jednoduché textové hry.
 *
 *@author     Michael Kolling, Lubos Pavlicek, Jarmila Pavlickova
 *@version    3.0
 *@created    květen 2005
 */
class SeznamPrikazu {
    // set pro uložení přípustných příkazů
    private  Set<String> platnePrikazy;
    
    /**
     * Konstruktor
     */
    public SeznamPrikazu() {
        platnePrikazy = new TreeSet<String>();
        platnePrikazy.add("jdi");
        platnePrikazy.add("konec");
        platnePrikazy.add("napoveda");
    }

    /**
     * Kontroluje, zda zadaný řetězec je přípustný příkaz.
     *
     *@param  retezec  Řetězec, který se má otestovat, zda je přípustný příkaz
     *@return          Vrací hodnotu true, pokud je zadaný
     *                     řetězec přípustný příkaz
     */
    public boolean jePlatnyPrikaz(String retezec) {
        return platnePrikazy.contains(retezec);
    }

    /**
     *  Vrací seznam přípustných příkazů, jednotlivé příkazy jsou odděleny mezerou.
     *  
     *  @return     Řetězec, který obsahuje seznam přípustných příkazů
     */
    public String vratSeznamPrikazu() {
        String seznam = "";
        for (String slovoPrikazu : platnePrikazy){
            seznam += slovoPrikazu + " ";
        }
        return seznam;
    }

}

